Properties for ForgotForm component. Required prop is onSubmit.

### Hierarchy

- IEmailProps
  - IForgotFormProps

## Index

### Properties

- buttonProps
- emailInputProps
- initialEmail
- onEmailChanged
- onSubmit
- testID

## Properties

### Optional buttonProps

buttonProps: ICrossButtonProps | undefined

- Defined in forgot/components/ForgotForm.tsx:31

Optional props for the submit button. Typically used to change the `title` prop.

Read more: https://crossplatformsweden.github.io/react-native-components/interfaces/_components_buttons_crossbutton_.icrossbuttonprops.html

example

  <ForgotForm buttonProps={{title: 'Warp'}}> <Text>Custom layouts here</Text> </ForgotForm>

### Optional emailInputProps

emailInputProps: ICrossEditorProps | undefined

Inherited from IEmailProps.emailInputProps

- Defined in types.ts:79

Optional props for the e-mail input. Typically used to change the `label` prop. See {@link ICrossEditorProps}

### Optional initialEmail

initialEmail: string | undefined

Inherited from IEmailProps.initialEmail

- Defined in types.ts:74

Optional initial value for the e-mail input

### onEmailChanged

onEmailChanged: function

Inherited from IEmailProps.onEmailChanged

- Defined in types.ts:70

Occurs when the user inputs e-mail

#### Type declaration

- - (email: string | undefined): void

  - #### Parameters

    - ##### email: string | undefined

    #### Returns void

### onSubmit

onSubmit: function

- Defined in forgot/components/ForgotForm.tsx:19

Occurs when the user clicks "reset password" button. Required.

#### Type declaration

- - (): void

  - #### Returns void

### Optional testID

testID: string | undefined

- Defined in forgot/components/ForgotForm.tsx:32